/*
 * Copyright (C) 2012 Me and My Shadow
 *
 * This file is part of Me and My Shadow.
 *
 * Me and My Shadow is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Me and My Shadow is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Me and My Shadow.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Copyright © 2009-2011 Davorin Učakar <davorin.ucakar@gmail.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

// Source: https://github.com/ducakar/openzone-cursors

/* XPM */
static const char* closedhand[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"           .. .. ..             ",
"          .++.++.++.            ",
"          .++.++.++.            ",
"        ...+++++++++.           ",
"       .++.+++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"        .++++++++++.            ",
"         ..........             ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};

/* XPM */
static const char* ibeam[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"             .......            ",
"             .+++++.            ",
"             ...+...            ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"             ...+...            ",
"             .+++++.            ",
"             .......            ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};

/* XPM */
static const char* pointer[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
".                               ",
"..                              ",
".+.                             ",
".++.                            ",
".+++.                           ",
".++++.                          ",
".+++++.                         ",
".++++++.                        ",
".+++++++.                       ",
".++++++++.                      ",
".+++++++++.                     ",
".+++++......                    ",
".+++.++.                        ",
".++..++.                        ",
".+.  .++.                       ",
"..   .++.                       ",
".     ..                        ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"0,0"};
/* XPM */
static const char* size_bdiag[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"              ........          ",
"               .+++++.          ",
"                .++++.          ",
"                 .+++.          ",
"          .     .+.++.          ",
"          ..   .+. .+.          ",
"          .+. .+.   ..          ",
"          .++.+.     .          ",
"          .+++.                 ",
"          .++++.                ",
"          .+++++.               ",
"          ........              ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};
/* XPM */
static const char* size_fdiag[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"           ........             ",
"           .+++++.              ",
"           .++++.               ",
"           .+++.                ",
"           .++.+.     .         ",
"           .+. .+.   ..         ",
"           ..   .+. .+.         ",
"           .     .+.++.         ",
"                  .+++.         ",
"                 .++++.         ",
"                .+++++.         ",
"               ........         ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};
/* XPM */
static const char* size_hor[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"             .     .            ",
"            ..     ..           ",
"           .+.     .+.          ",
"          .++.     .++.         ",
"         .+++.......+++.        ",
"        .+++++++++++++++.       ",
"         .+++.......+++.        ",
"          .++.     .++.         ",
"           .+.     .+.          ",
"            ..     ..           ",
"             .     .            ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};
/* XPM */
static const char* size_ver[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                .               ",
"               .+.              ",
"              .+++.             ",
"             .+++++.            ",
"            .+++++++.           ",
"           .....+.....          ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"               .+.              ",
"           .....+.....          ",
"            .+++++++.           ",
"             .+++++.            ",
"              .+++.             ",
"               .+.              ",
"                .               ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};

/* XPM */
static const char* remove_cursor[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"          ...       ...         ",
"         .+++.     .+++.        ",
"         .++++.   .++++.        ",
"         .+++++. .+++++.        ",
"          .+++++.+++++.         ",
"           .+++++++++.          ",
"            .+++++++.           ",
"             .+++++.            ",
"            .+++++++.           ",
"           .+++++++++.          ",
"          .+++++.+++++.         ",
"         .+++++. .+++++.        ",
"         .++++.   .++++.        ",
"         .+++.     .+++.        ",
"          ...       ...         ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"16,16"
};

/* XPM */
static const char* pointing_hand[] = {
"32 32 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"           ..                   ",
"          .++.                  ",
"          .++.                  ",
"          .++.                  ",
"          .++.                  ",
"          .++.                  ",
"          .++... ..             ",
"        ...++.++.++.            ",
"       .++.++.++.++.            ",
"       .++.+++++++++.           ",
"       .++.+++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"       .++++++++++++.           ",
"        .++++++++++.            ",
"         ..........             ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"11,8"
};
